package com.chenyang.nse.bussiness.entity.orm.table.core;

import com.chenyang.nse.bussiness.entity.orm.table.TInitEntity;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

@Entity
@Table(
   name = "T_CORE_DATAPREVIEW_SQL"
)
public class TCoreDataPreviewSQL extends TInitEntity {
   @Column(
      length = 50
   )
   private String datasystem_id;
   @Column(
      length = 50
   )
   private String schem;
   @Column(
      length = 50
   )
   private String tablename;
   @Column(
      length = 500
   )
   private String exesql;
   @Transient
   private String createtimeOfstr;

   public String getDatasystem_id() {
      return this.datasystem_id;
   }

   public void setDatasystem_id(String datasystem_id) {
      this.datasystem_id = datasystem_id;
   }

   public String getTablename() {
      return this.tablename;
   }

   public void setTablename(String tablename) {
      this.tablename = tablename;
   }

   public String getExesql() {
      return this.exesql;
   }

   public void setExesql(String exesql) {
      this.exesql = exesql;
   }

   public String getSchem() {
      return this.schem;
   }

   public void setSchem(String schem) {
      this.schem = schem;
   }

   public String getCreatetimeOfstr() {
      return this.createtimeOfstr;
   }

   public void setCreatetimeOfstr(String createtimeOfstr) {
      this.createtimeOfstr = createtimeOfstr;
   }
}
